<?php

namespace Portal\Overtime\Http\Controllers;

use Illuminate\Routing\Controller;
use Illuminate\Http\Request;
use Illuminate\Support\Facades\Input;
use Carbon\Carbon;

use Portal\Overtime\Data\Repo\OvertimeRepo;

use Auth;
use DB;
use Event;
use File;
use Mail;
use PDF;
use Redirect;
use Curl;

class OvertimeController extends Controller
{
	public function __construct(OvertimeRepo $repos)
	{
		$this->repos = $repos;
	}

	/**
	 * undocumented function
	 *
	 * @return testing please hide this function and continue below
	 * @author afif@3fresources.com
	 **/
	public function index(Request $request)
	{
		// dd('sini controller');exit;
		
		$list = $this->repos->index($request);

		return view('overtime::list', compact('list'));
	}
}